aboutsummaryrefslogtreecommitdiffstats
path: root/main/mariadb/APKBUILD
diff options
context:
space:
mode:
authorBartłomiej Piotrowski <b@bpiotrowski.pl>2015-05-08 09:42:23 +0200
committerBartłomiej Piotrowski <b@bpiotrowski.pl>2015-05-08 09:42:34 +0200
commit336c258db7dffa3d12f2f00cf4524a578e4f48b3 (patch)
tree8bd334c01fcde10a6ba766418c0a8933123f9235 /main/mariadb/APKBUILD
parent1b85c0be73895339f9fce1789d102cb431d13cfd (diff)
downloadaports-336c258db7dffa3d12f2f00cf4524a578e4f48b3.tar.gz
aports-336c258db7dffa3d12f2f00cf4524a578e4f48b3.tar.bz2
aports-336c258db7dffa3d12f2f00cf4524a578e4f48b3.tar.xz
main/mariadb: upgrade to 5.5.43
Indentation was completely wrong, so I took the liberty to fix it.
Diffstat (limited to 'main/mariadb/APKBUILD')
-rw-r--r--main/mariadb/APKBUILD75
1 files changed, 37 insertions, 38 deletions
diff --git a/main/mariadb/APKBUILD b/main/mariadb/APKBUILD
index c10d694c3c..17daacf84b 100644
--- a/main/mariadb/APKBUILD
+++ b/main/mariadb/APKBUILD
@@ -1,9 +1,10 @@
# Contributor: Łukasz Jendrysik <scadu@yandex.com>
# Contributor: Carlo Landmeter <clandmeter@gmail.com>
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+
pkgname=mariadb
-pkgver=5.5.42
-pkgrel=4
+pkgver=5.5.43
+pkgrel=0
pkgdesc="A fast SQL database server"
url="http://www.mariadb.org"
pkgusers="mysql"
@@ -28,7 +29,7 @@ prepare() {
cd "$_builddir"
for i in $source; do
case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
esac
done
}
@@ -39,35 +40,35 @@ build() {
-DCMAKE_INSTALL_PREFIX=/usr \
-DSYSCONFDIR=/etc/mysql \
-DMYSQL_DATADIR=/var/lib/mysql \
- -DMYSQL_UNIX_ADDR=/run/mysqld/mysqld.sock \
- -DDEFAULT_CHARSET=utf8 \
- -DDEFAULT_COLLATION=utf8_general_ci \
- -DENABLED_LOCAL_INFILE=ON \
- -DINSTALL_INFODIR=share/mysql/docs \
- -DINSTALL_MANDIR=share/man \
- -DINSTALL_PLUGINDIR=lib/mysql/plugin \
- -DINSTALL_SCRIPTDIR=bin \
- -DINSTALL_INCLUDEDIR=include/mysql \
- -DINSTALL_DOCREADMEDIR=share/mysql \
- -DINSTALL_SUPPORTFILESDIR=share/mysql \
- -DINSTALL_MYSQLSHAREDIR=share/mysql \
- -DINSTALL_DOCDIR=share/mysql/docs \
- -DINSTALL_SHAREDIR=share/mysql \
+ -DMYSQL_UNIX_ADDR=/run/mysqld/mysqld.sock \
+ -DDEFAULT_CHARSET=utf8 \
+ -DDEFAULT_COLLATION=utf8_general_ci \
+ -DENABLED_LOCAL_INFILE=ON \
+ -DINSTALL_INFODIR=share/mysql/docs \
+ -DINSTALL_MANDIR=share/man \
+ -DINSTALL_PLUGINDIR=lib/mysql/plugin \
+ -DINSTALL_SCRIPTDIR=bin \
+ -DINSTALL_INCLUDEDIR=include/mysql \
+ -DINSTALL_DOCREADMEDIR=share/mysql \
+ -DINSTALL_SUPPORTFILESDIR=share/mysql \
+ -DINSTALL_MYSQLSHAREDIR=share/mysql \
+ -DINSTALL_DOCDIR=share/mysql/docs \
+ -DINSTALL_SHAREDIR=share/mysql \
-DWITH_READLINE=ON \
- -DWITH_ZLIB=system \
- -DWITH_SSL=system \
- -DWITH_LIBWRAP=OFF \
+ -DWITH_ZLIB=system \
+ -DWITH_SSL=system \
+ -DWITH_LIBWRAP=OFF \
-DWITH_JEMALLOC=no \
- -DWITH_EXTRA_CHARSETS=complex \
- -DWITH_EMBEDDED_SERVER=ON \
- -DWITH_ARCHIVE_STORAGE_ENGINE=1 \
- -DWITH_BLACKHOLE_STORAGE_ENGINE=1 \
- -DWITH_INNOBASE_STORAGE_ENGINE=1 \
- -DWITH_PARTITION_STORAGE_ENGINE=1 \
- -DWITHOUT_TOKUDB_STORAGE_ENGINE=1 \
+ -DWITH_EXTRA_CHARSETS=complex \
+ -DWITH_EMBEDDED_SERVER=ON \
+ -DWITH_ARCHIVE_STORAGE_ENGINE=1 \
+ -DWITH_BLACKHOLE_STORAGE_ENGINE=1 \
+ -DWITH_INNOBASE_STORAGE_ENGINE=1 \
+ -DWITH_PARTITION_STORAGE_ENGINE=1 \
+ -DWITHOUT_TOKUDB_STORAGE_ENGINE=1 \
-DWITHOUT_EXAMPLE_STORAGE_ENGINE=1 \
- -DWITHOUT_FEDERATED_STORAGE_ENGINE=1 \
- -DWITHOUT_PBXT_STORAGE_ENGINE=1 \
+ -DWITHOUT_FEDERATED_STORAGE_ENGINE=1 \
+ -DWITHOUT_PBXT_STORAGE_ENGINE=1 \
|| return 1
make || return 1
}
@@ -137,8 +138,8 @@ common() {
mytest() {
pkgdesc="The test suite distributed with MariaDB"
- mkdir -p "$subpkgdir"/usr/bin || return 1
- mv "$pkgdir"/usr/bin/mysql_client_test \
+ mkdir -p "$subpkgdir"/usr/bin || return 1
+ mv "$pkgdir"/usr/bin/mysql_client_test \
"$pkgdir"/usr/mysql-test \
"$pkgdir"/usr/bin/my_safe_process \
"$subpkgdir"/usr/bin/ \
@@ -150,8 +151,8 @@ client() {
depends="mariadb-common"
install=""
local bins="myisam_ftdump mysql mysqlaccess mysqladmin mysqlbug
- mysqlcheck mysqldump mysqldumpslow mysql_find_rows
- mysql_fix_extensions mysqlimport mysqlshow mysql_waitpid"
+ mysqlcheck mysqldump mysqldumpslow mysql_find_rows
+ mysql_fix_extensions mysqlimport mysqlshow mysql_waitpid"
mkdir -p "$subpkgdir"/usr/bin/ || return 1
for i in $bins; do
mv "$pkgdir"/usr/bin/${i} "$subpkgdir"/usr/bin/ || return 1
@@ -175,14 +176,12 @@ mysql() { _compat mysql; }
_compat_client() { _compat mysql-client; }
_compat_bench() { _compat mysql-bench; }
-
-
-md5sums="34436f64fe71e8b9c540d43aca9baff1 mariadb-5.5.42.tar.gz
+md5sums="c8760d6b5890fc1de76c07af48092c88 mariadb-5.5.43.tar.gz
e8789d2e9a79c962d857512609b962a9 mariadb.initd
bcaee4dbbf77f4432ecd9796714be75b fix-mysql-install-db-path.patch"
-sha256sums="3c868e768f4c24b4aa2f8f1725460d15a5485ed75e17b0755c6e604520e34439 mariadb-5.5.42.tar.gz
+sha256sums="a0709997140549154edb87c9dfab564cd4755b238251acbf42369118f9bb4d01 mariadb-5.5.43.tar.gz
90fa154aa5588dd5df42befd11984e2e59d55cd919db246f76859d719b870c8f mariadb.initd
52e3827529b53c02a9ba263bd395bde773d2666853b252a131e824bb256f36d5 fix-mysql-install-db-path.patch"
-sha512sums="8fd9916e7ad225ea47936c34a14d37d0e4c9ac182b8791d46d158aa86151cbfe45e54e0b680d281223f175d492765aeadd7565e2a706d86b69696a51761e9769 mariadb-5.5.42.tar.gz
+sha512sums="fa9b463843ebf70e3a462ee5fdfa34aedd35194f3593f7ec1fc5f17663e798610ade46925b31f9f96e06503508ae840bfed54ae7b6661affa4d5b630d475f1db mariadb-5.5.43.tar.gz
a8c7589e9c64e44d358c2720f13625746f6cc2ea0f6ce25d7aefc7e90fad581b30f39a3a829d774b5eae986307f1c9baf5f1f6a7f09b664360462878881de57f mariadb.initd
4aca6e42f4dec9d7122388b1d1bc40762a4677a1beafcf448b900d443a2f778a8fd52bc7f1b5c9697e0ad13473e6d01eb29607a40de195ac07857cd4dfc2a1fe fix-mysql-install-db-path.patch"